[@cdklabs/generative-ai-cdk-constructs](/docs/api) / [bedrock](/docs/api/modules/bedrock.md) / AgentActionGroupProps

# Interface: AgentActionGroupProps

[bedrock](/docs/api/modules/bedrock.md).AgentActionGroupProps

## Properties

### actionGroupExecutor

• `Optional` `Readonly` **actionGroupExecutor**: `IFunction`

The Lambda function containing the business logic that is carried out upon invoking the action.

___

### actionGroupName

• `Optional` `Readonly` **actionGroupName**: `string`

The name of the action group.

**`Default`**

```ts
- a name is generated by CloudFormation.
```

___

### actionGroupState

• `Optional` `Readonly` **actionGroupState**: ``"ENABLED"`` \| ``"DISABLED"``

Specifies whether the action group is available for the agent to invoke or not when sending an InvokeAgent request.

___

### agent

• `Readonly` **agent**: [`Agent`](/docs/api/classes/bedrock.Agent.md)

Bedrock Agent

___

### apiSchema

• `Optional` `Readonly` **apiSchema**: [`ApiSchema`](/docs/api/classes/bedrock.ApiSchema.md)

Contains details about the S3 object containing the OpenAPI schema for the action group. For more information, see
[Action group OpenAPI schemas](https://docs.aws.amazon.com/bedrock/latest/userguide/agents-api-schema.html).

___

### description

• `Optional` `Readonly` **description**: `string`

A description of the action group.

**`Note`**

This object is a Union. Only one member of this object can be specified or returned.

___

### parentActionGroupSignature

• `Optional` `Readonly` **parentActionGroupSignature**: ``"AMAZON.UserInput"``

If you specify this value as AMAZON.UserInput, the agent will prompt additional information from the user when it
doesn't have enough information to respond to an utterance. Leave this field blank if you don't want the agent to
prompt additional information.

___

### shouldPrepareAgent

• `Optional` `Readonly` **shouldPrepareAgent**: `boolean`

Whether to prepare the agent for use.

**`Default`**

```ts
- false
```
